For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update template variant

Updates a template variant.

put

Updates the subject and/or body content of the language variant. Only provided fields will be modified.

Path parameters
templateIdstringRequired

A notification template ID.

idstringRequired

A template variant ID.

Body
languageCodestringOptional
subjectstringOptional
bodystringOptional
Responses
200

OK

application/json

Represents a language-specific variant of a template.

idstringOptional
revisioninteger · int32Optional
bodystring · nullableOptional

Gets or sets the body content for this variant.

defaultbooleanOptional

Gets or sets a value indicating whether this is the default variant for the parent template.

languageCodestringOptional

Gets or sets the language code for this variant.

statusstringOptional

Gets or sets the current status of the variant.

subjectstring · nullableOptional

Gets or sets the subject for messages created from this variant.

put/public/v1/notifications/templates/{templateId}/variants/{id}

Last updated

Was this helpful?